SMF mit PHP auch in Zukunft betreiben - welche Versionen laufen miteinander?

Started by Thomasius, November 04, 2019, 04:49:12 AM

Previous topic - Next topic

Thomasius

Hallo UserInnen,

ich betreibe das Pflege(aus)bildungsforum hxxp:pflegesoft.de [nonactive] (nomen est omen ;) ) seit nunmehr 15 (!) Jahren mit ,,SMF" ohne Probleme (2.0.15). Jüngst aber hat sich DomainFactory bei mir gemeldet (mein ,,Hoster") und mir Folgendes mitgeteilt:

"Sehr geehrter Kunde,
wie bereits vorab angekündigt, stellen wir die Unterstützung der veralteten PHP-Versionen in wenigen Monaten endgültig ein. Die PHP-Versionen 4, 7.0 und 7.1 werden wir ab dem 2. Dezember 2019 abschalten, die PHP-Versionen 5 schalten wir ab dem 2. März 2020 ab. ..."


Ich habe erfahren, dass SMF die Programmiersprache PHP 7.2 bzw. 7.3 nicht unterstützt ("PHP 7.2 is not supported by SMF at this time."). Was kann ich hier tun? Ich bin leider kein IT-Experte und brauche Unterstützung um das Forum auch in Zukunft betreiben zu können.

Über eine Rückmeldung würde ich mich freuen.
Mit hoffnungsvollen Grüßen
Thomasius

m4z

SMF 2.0.16 wird PHP-7.2 unterstützen und befindet sich gerade in der abschließenden Testphase, leider ist noch kein Release-Datum angekündigt. Da diese Version die 2.0er-Reihe für PHP 7.2 fit machen soll, da für 7.1 ja ganz offiziell Anfang Dezember der Support endet, wäre es nur naheliegend, dass 2.0.16 "rechtzeitig" veröffentlicht wird.

Edit: "Offizielle" Statements gefunden und verlinkt.
"Faith is what you have in things that don't exist."
--Homer Simpson

Es gibt hier im Forum ein deutsches Support-Board!
<werbung>Meine Freundin hat ihr erstes Buch veröffentlicht!</werbung>

Thomasius

Herzlichen Dank für die prompte Antwort und Hilfe, m4z!

Frühe Grüße!
Thomasius

Advertisement: